from django.db import models
from django.utils.translation import ugettext_lazy as _

from polynum.base.models import Request, DocumentLicence

import constant

class BlackBoardPush(models.Model):
    request = models.ForeignKey(Request)
    course_name = models.TextField(max_length=64)
    visible_to_students = models.BooleanField(blank=True)
    sent = models.BooleanField(blank=True, default=False)

DocumentLicence.add_diffusion_tag(constant.MYCOURSE_TAG, _('Diffusion vers MyCourse'))
